<!DOCTYPE html>
<html lang="en">
  <head>
    <title>BlueAirManager Class Reference</title>
    <link rel="stylesheet" type="text/css" href="../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../js/jquery.min.js" defer></script>
    <script src="../js/jazzy.js" defer></script>
    
  </head>
  <body>
    <a name="//apple_ref/swift/Class/BlueAirManager" class="dashAnchor"></a>
    <a title="BlueAirManager Class Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../index.html">BlueAirSDK Docs</a> (45% documented)</p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../index.html">BlueAirSDK Reference</a>
        <img id="carat" src="../img/carat.png" />
        BlueAirManager Class Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Classes/BlueAirManager.html">BlueAirManager</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Enums/BlueAirSDKError.html">BlueAirSDKError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums.html#/s:10BlueAirSDK0aB9ScanErrorO">BlueAirScanError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/FanMode.html">FanMode</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/FanSpeed.html">FanSpeed</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/PeripheralConnectionState.html">PeripheralConnectionState</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Extensions/Collection.html">Collection</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Protocols/ScanDelegate.html">ScanDelegate</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Structs/BlueAirErrors.html">BlueAirErrors</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/BlueAirErrors/MainError.html">– MainError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/BlueAirErrors/PlugError.html">– PlugError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/BlueAirErrors/DuoError.html">– DuoError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/BlueAirErrors/NRFErrror.html">– NRFErrror</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/Datapoint.html">Datapoint</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/FilterUsage.html">FilterUsage</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>BlueAirManager</h1>
              <div class="declaration">
                <div class="language">
                  <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">class</span> <span class="kt">BlueAirManager</span></code></pre>

                </div>
              </div>
            <p>This class contains all the methods needed to communicate with a device.
With the provided methods it&rsquo;s possible to:</p>

<ul>
<li>Scan for devices.</li>
<li>Connect to a device.</li>
<li>Read data from the device (fan speed, filter usage, etc) by subscribing to various <code>Observable</code>.</li>
<li>Send data to the device (set fan speed / mode, etc).</li>
<li>Disconnect from the device.</li>
</ul>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB7ManagerC6sharedACvZ"></a>
                    <a name="//apple_ref/swift/Variable/shared" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB7ManagerC6sharedACvZ">shared</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Single instance shared accross the app.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="k">let</span> <span class="nv">shared</span> <span class="o">=</span> <span class="nf">BlueAirManager</span><span class="p">()</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB7ManagerC12scanDelegateAA04ScanF0_pSgXwv"></a>
                    <a name="//apple_ref/swift/Property/scanDelegate" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB7ManagerC12scanDelegateAA04ScanF0_pSgXwv">scanDelegate</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">weak</span> <span class="k">var</span> <span class="nv">scanDelegate</span><span class="p">:</span> <span class="kt"><a href="../Protocols/ScanDelegate.html">ScanDelegate</a></span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB7ManagerC9startScanySS11productName_Sd7timeouttF"></a>
                    <a name="//apple_ref/swift/Method/startScan(productName:timeout:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB7ManagerC9startScanySS11productName_Sd7timeouttF">startScan(productName:timeout:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Start a BLE scan.
If a scan is running, cancel it first.</p>

<p><em>DO NOT</em> forget to set scanDelegate.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">startScan</span><span class="p">(</span><span class="nv">productName</span><span class="p">:</span> <span class="kt">String</span><span class="p">,</span> <span class="nv">timeout</span><span class="p">:</span> <span class="kt">TimeInterval</span> <span class="o">=</span> <span class="mf">5.0</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>productName</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>The product name starting with, case sensitive. Ex: <q>Blueair ICP</q></p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>timeout</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>Timeout in seconds</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB7ManagerC8scanningSbv"></a>
                    <a name="//apple_ref/swift/Property/scanning" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB7ManagerC8scanningSbv">scanning</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Is <code>true</code> if a scan operation is currently running, <code>false</code> otherwise.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">var</span> <span class="nv">scanning</span><span class="p">:</span> <span class="kt">Bool</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB7ManagerC10cancelScanyyF"></a>
                    <a name="//apple_ref/swift/Method/cancelScan()" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB7ManagerC10cancelScanyyF">cancelScan()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Manually cancel scan.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">cancelScan</span><span class="p">()</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB7ManagerC7connecty14RxBluetoothKit17ScannedPeripheralC19peripheralToConnect_tKF"></a>
                    <a name="//apple_ref/swift/Method/connect(peripheralToConnect:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB7ManagerC7connecty14RxBluetoothKit17ScannedPeripheralC19peripheralToConnect_tKF">connect(peripheralToConnect:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Try to connect to the specified device.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">connect</span><span class="p">(</span><span class="nv">peripheralToConnect</span><span class="p">:</span> <span class="kt">ScannedPeripheral</span><span class="p">)</span> <span class="k">throws</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB7ManagerC10disconnectyyF"></a>
                    <a name="//apple_ref/swift/Method/disconnect()" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB7ManagerC10disconnectyyF">disconnect()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Disconnect the currently connected device.</p>

<p>Use <code><a href="../Classes/BlueAirManager.html#/s:10BlueAirSDK0aB7ManagerC25connectionStateObservable7RxSwift0G0CyAA020PeripheralConnectionF0OGyF">connectionStateObservable()</a></code> to know when the device is disconnected.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">disconnect</span><span class="p">()</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB7ManagerC24bluetoothStateObservable7RxSwift0G0Cy0H12BluetoothKit0jF0OGyF"></a>
                    <a name="//apple_ref/swift/Method/bluetoothStateObservable()" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB7ManagerC24bluetoothStateObservable7RxSwift0G0Cy0H12BluetoothKit0jF0OGyF">bluetoothStateObservable()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Bus to observe bluetooth state changes.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">bluetoothStateObservable</span><span class="p">()</span> <span class="o">-&gt;</span> <span class="kt">Observable</span><span class="o">&lt;</span><span class="kt">BluetoothState</span><span class="o">&gt;</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB7ManagerC25connectionStateObservable7RxSwift0G0CyAA020PeripheralConnectionF0OGyF"></a>
                    <a name="//apple_ref/swift/Method/connectionStateObservable()" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB7ManagerC25connectionStateObservable7RxSwift0G0CyAA020PeripheralConnectionF0OGyF">connectionStateObservable()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Bus to observe peripheral connection state changes.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">connectionStateObservable</span><span class="p">()</span> <span class="o">-&gt;</span> <span class="kt">Observable</span><span class="o">&lt;</span><span class="kt"><a href="../Enums/PeripheralConnectionState.html">PeripheralConnectionState</a></span><span class="o">&gt;</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB7ManagerC21filterUsageObservable7RxSwift0G0CyAA06FilterF0VSgGyF"></a>
                    <a name="//apple_ref/swift/Method/filterUsageObservable()" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB7ManagerC21filterUsageObservable7RxSwift0G0CyAA06FilterF0VSgGyF">filterUsageObservable()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Bus to observe filter usage.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">filterUsageObservable</span><span class="p">()</span> <span class="o">-&gt;</span> <span class="kt">Observable</span><span class="o">&lt;</span><span class="kt"><a href="../Structs/FilterUsage.html">FilterUsage</a></span><span class="p">?</span><span class="o">&gt;</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB7ManagerC18fanSpeedObservable7RxSwift0G0CyAA03FanF0OGyF"></a>
                    <a name="//apple_ref/swift/Method/fanSpeedObservable()" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB7ManagerC18fanSpeedObservable7RxSwift0G0CyAA03FanF0OGyF">fanSpeedObservable()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Bus to observe current fan&rsquo;s speed.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">fanSpeedObservable</span><span class="p">()</span> <span class="o">-&gt;</span> <span class="kt">Observable</span><span class="o">&lt;</span><span class="kt"><a href="../Enums/FanSpeed.html">FanSpeed</a></span><span class="o">&gt;</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB7ManagerC17fanModeObservable7RxSwift0G0CyAA03FanF0OGyF"></a>
                    <a name="//apple_ref/swift/Method/fanModeObservable()" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB7ManagerC17fanModeObservable7RxSwift0G0CyAA03FanF0OGyF">fanModeObservable()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Bus to observe the fan&rsquo;s mode</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">fanModeObservable</span><span class="p">()</span> <span class="o">-&gt;</span> <span class="kt">Observable</span><span class="o">&lt;</span><span class="kt"><a href="../Enums/FanMode.html">FanMode</a></span><span class="o">&gt;</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB7ManagerC20datapointsObservable7RxSwift0F0CyAA9DatapointVGyF"></a>
                    <a name="//apple_ref/swift/Method/datapointsObservable()" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB7ManagerC20datapointsObservable7RxSwift0F0CyAA9DatapointVGyF">datapointsObservable()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Bus to observe the 20 latest datapoint.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">datapointsObservable</span><span class="p">()</span> <span class="o">-&gt;</span> <span class="kt">Observable</span><span class="o">&lt;</span><span class="kt"><a href="../Structs/Datapoint.html">Datapoint</a></span><span class="o">&gt;</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB7ManagerC19errorCodeObservable7RxSwift0G0CyAA0aB6ErrorsVSgGyF"></a>
                    <a name="//apple_ref/swift/Method/errorCodeObservable()" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB7ManagerC19errorCodeObservable7RxSwift0G0CyAA0aB6ErrorsVSgGyF">errorCodeObservable()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Bus to observe the last errorCode.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">errorCodeObservable</span><span class="p">()</span> <span class="o">-&gt;</span> <span class="kt">Observable</span><span class="o">&lt;</span><span class="kt"><a href="../Structs/BlueAirErrors.html">BlueAirErrors</a></span><span class="p">?</span><span class="o">&gt;</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB7ManagerC11setFanSpeedyAA0fG0O03fanG0_tF"></a>
                    <a name="//apple_ref/swift/Method/setFanSpeed(fanSpeed:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB7ManagerC11setFanSpeedyAA0fG0O03fanG0_tF">setFanSpeed(fanSpeed:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Set the fan speed of the currently connected device
If no device is connected, do nothing</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">setFanSpeed</span><span class="p">(</span><span class="nv">fanSpeed</span><span class="p">:</span> <span class="kt"><a href="../Enums/FanSpeed.html">FanSpeed</a></span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>fanSpeed</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>The new fan speed</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10BlueAirSDK0aB7ManagerC10setFanModeyAA0fG0O03fanG0_yAFcSg7onWritetF"></a>
                    <a name="//apple_ref/swift/Method/setFanMode(fanMode:onWrite:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:10BlueAirSDK0aB7ManagerC10setFanModeyAA0fG0O03fanG0_yAFcSg7onWritetF">setFanMode(fanMode:onWrite:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Set the fan&rsquo;s mode of the currently connected device
If no device is connected, do nothing</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">func</span> <span class="nf">setFanMode</span><span class="p">(</span><span class="nv">fanMode</span><span class="p">:</span> <span class="kt"><a href="../Enums/FanMode.html">FanMode</a></span><span class="p">,</span> <span class="nv">onWrite</span><span class="p">:</span> <span class="p">((</span><span class="kt"><a href="../Enums/FanMode.html">FanMode</a></span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">Void</span><span class="p">)?)</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>fanMode</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>The new fan&rsquo;s mode</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>onWrite</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>Optional callback who emit the fan&rsquo;s mode when the value is written on the device</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2018 <a class="link" href="https://bitbucket.org/airboxlab/icp_sdk_release" target="_blank" rel="external">AirBoxLab</a>. All rights reserved. (Last updated: 2018-02-13)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.9.1</a>, a <a class="link" href="http://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
